CMS Tool API schema
Public API version 1.4.10.
Reviews and Comments
A blog comment or product review uses the same engine. Each record may have a rating, as well as an optional comment, and is linked to an object and the person who posted it
Endpoint URL
https://api.cms-tool.net/api/comments
/api/comments
Read and update comments and reviews.
GET
List records, or retrieve one by appending its ID to the path.
Query parameters
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Filter results by id. |
page | int | 123 | Filter results by page. |
mbr_id | int | 123 | Filter results by mbr id. |
msg_author | text | example | Filter results by msg author. |
offset | int | 123 | Skip this many matching records before returning results. |
pageSize | int | 123 | Limit the number of records returned. |
POST
Create or update a record from a JSON object.
Request content type: application/json
Request body fields
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Set the id value. |
page | int | 123 | Set the page value. |
msg_text | text | example | Set the msg text value. |
msg_email | text | customer@example.com | Set the msg email value. |
msg_title | text | example | Set the msg title value. |
msg_author | text | example | Set the msg author value. |
msg_rating | number | 19.95 | Set the msg rating value. |
Data definitions
| Field | Type | Description | Format | Example |
|---|---|---|---|---|
msg_posted | timestamp | The timestamp when this comment was made | 2025-12-31 23:59:59 | |
forum_reply_last | timestamp | Timestamp of the last reply to this comment | 2025-12-31 23:59:59 | |
forum_info_id | int | Related object ID if comment is attached to a blog | ||
msg_title | text | The title of the comment | ||
msg_group_id | int | When forum is split into category groups | ||
msg_text | text | The main text of the comment | ||
forum_pid | int | Related object ID if comment is attached to a product | ||
msg_url | text | Optional URL to a reference link | ||
forum_re_bid | int | If this review occured after placing a specifc order, aka order validated referral | ||
msg_author | text | Author Name - Alias / Psudeonym | ||
forum_reply_count | int | How many replies to the specified comment | ||
msg_notifyreplies | char | If the author wants to be notified by email of any replies | ||
msg_email | text | Author Email to whom replies should be sent | ||
msg_re | int | The original comment ID to which this reply is being made. | ||
forum_listingid | int | Related object ID if comment is attached to a directory listing | ||
msg_photo | text | Optional photo included with the comment | ||
msg_response_merchant | text | The response by the merchant / webmaster to a users comment if applicable. | ||
msg_rating | int | If this comment is a review for which a rating is provided, the rating would be a number from 1-5 or 0 if no rating given | ||
page | int | The ID of the page on which this comment is related, being the parent page of whatever object this relates to. | 123456 | |
mbr_uid | int | Author ID who made this comment | ||
msg_show | char | Y - if this comment is publically visible, otherwise blank | ||
msg_id | serial | Unique comment ID | 123456 |
Usage instructions and examples
Create a new Comment
To create a new comment use POST method and do not provide any Comment Id.
For the comment to show up on your site include the page id (can be found from GET data). and set "msg_show": "Y"
Must include: mbr_id or msg_email.
For the review to show on your product page include the forum_pid as the product id of the product.
Example:
{
"msg_text": "Comment text",
"msg_email": "example@email.com",
"msg_title": "Comment title",
"page": 1234
}
Update an existing comment
You can also update an existing Comment. You must include id, mbr_id or msg_email. The rest of the parameters provided will be used to update the Comment.
Example:
{
"id": 12345,
"msg_text" : "The message has been updated" ...
}
Sample object
{
"msg_posted": "2021-12-17 16:50:19.340045",
"forum_info_id": 0,
"msg_title": "New test review",
"msg_group_id": 0,
"mbr_id": 123123,
"forum_pid": 1111111,
"forum_reply_count": 0,
"msg_notifyreplies": "N",
"msg_email": "test@testemail.co.nz",
"msg_re": 0,
"msg_rating": 4,
"id": 123111,
"page": 1111111,
"mbr_uid": 123123,
"msg_show": "Y",
"msg_id": 123111,
"cid": 11111111
}Machine-readable documentation
This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.